sc::SSAccResult< T >(3)

NAME
sc::SSAccResult< T > -

This associates a result datum with an accuracy.

SYNOPSIS

#include <comptmpl.h>

Inherits sc::AccResultInfo.

  Public Member Functions
SSAccResult (Compute *c)
SSAccResult (const SSAccResult< T > &r, Compute *c)
operator T & ()
T * operator-> ()
T & result ()
T & result_noupdate ()
const T & result_noupdate () const
void operator= (const T &a)
void operator= (const SSAccResult< T > &r)
void restore_state (StateIn &s)
void save_data_state (StateOut &s)
SSAccResult (StateIn &s, Compute *c)

  Additional Inherited Members

Detailed Description

  template<class T>class sc::SSAccResult< T >
This associates a result datum with an accuracy. The datum must be a SavableState and will be saved and restored.

Author

Generated automatically by Doxygen for MPQC from the source code.